Skip to main content
GET
/
api
/
v1
/
news
/
latest
Get latest news
curl --request GET \
  --url https://v2.api.adj.news/api/v1/news/latest \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "title": "<string>",
      "url": "<string>",
      "published_date": "2023-11-07T05:31:56Z",
      "author": "<string>",
      "source": "<string>",
      "text": "<string>",
      "image_url": "<string>",
      "favicon_url": "<string>"
    }
  ],
  "meta": {
    "count": 123,
    "limit": 123,
    "offset": 123,
    "total": 123
  }
}
Retrieve the latest news articles from Adjacent News’s news database.

Query Parameters

limit
integer
default:100
Maximum number of articles (1-1000).
offset
integer
default:0
Number of articles to skip (for pagination).
source
string
Filter by news source (e.g., nyt, reuters, ap, bbc).
days
integer
default:7
Number of days to look back.

Response

{
  "data": [
    {
      "id": "d5de4a0b-a4d7-43d5-9192-f892fc91bdb9",
      "title": "Iran Students Protest for Second Day Despite State Crackdown",
      "url": "https://www.nytimes.com/2026/02/22/world/middleeast/iran-student-protests.html",
      "published_date": "2026-02-22T19:59:22Z",
      "author": null,
      "source": "nyt",
      "text": "Student groups reported protests at universities...",
      "image_url": null,
      "favicon_url": null
    }
  ],
  "meta": { "count": 1, "limit": 100, "offset": 0, "total": 528287 }
}
FieldTypeDescription
idstringUnique article identifier (UUID)
titlestringArticle headline
urlstringDirect link to the article
published_datedatetimePublication timestamp
authorstringArticle author (may be null)
sourcestringNews source identifier
textstringArticle excerpt
image_urlstringFeatured image URL (may be null)
favicon_urlstringSource favicon URL (may be null)

Examples

# Latest news
curl "https://v2.api.adj.news/api/v1/news/latest?limit=10" \
  -H "Authorization: Bearer YOUR_TOKEN"

# Pagination
curl "https://v2.api.adj.news/api/v1/news/latest?limit=50&offset=50" \
  -H "Authorization: Bearer YOUR_TOKEN"

# Filter by source
curl "https://v2.api.adj.news/api/v1/news/latest?source=nyt&limit=20" \
  -H "Authorization: Bearer YOUR_TOKEN"

# Last 24 hours
curl "https://v2.api.adj.news/api/v1/news/latest?days=1&limit=50" \
  -H "Authorization: Bearer YOUR_TOKEN"

Authorizations

Authorization
string
header
required

Auth0 JWT Bearer token

Query Parameters

limit
integer
default:100

Max articles to return

offset
integer
default:0

Number of articles to skip

source
string

Filter by news source (e.g., nyt, reuters)

days
integer
default:7

Number of days to look back

Response

200 - application/json

List of news articles

data
object[]
meta
object